use clap::{ArgMatches, Command};
use color_eyre::Result;

mod extract_words;

pub(crate) fn command_definition() -> Command {
    Command::new("experiment")
        .subcommand_required(true)
        .about("A collection of utilities and experiments.")
        .subcommand(extract_words::command_definition())
}

#[tracing::instrument(skip_all)]
pub(crate) async fn run(ctx: sdk::Context, matches: &ArgMatches) -> Result<()> {
    match matches.subcommand() {
        Some(("extract-words", sub_matches)) => extract_words::run(ctx, sub_matches).await,
        _ => unreachable!(
            "clap is configured to require a subcommand, and they're all handled above"
        ),
    }
}
